Skip to main content
`Ctrl`+`K`

# PetscDSIsCohesive

Returns the flag indicating that this `PetscDS` is for a cohesive cell

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSIsCohesive(PetscDS ds, PetscBool *isCohesive)

Not Collective

## Input Parameter

- ds - The `PetscDS` object

## Output Parameter

- isCohesive - The flag

## See Also

`PetscDS`, `PetscDSGetNumCohesive()`, `PetscDSGetCohesive()`, `PetscDSSetCohesive()`, `PetscDSCreate()`

## Level

developer

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages